NX Open C++ Reference Guide
|
The Unbend feature class. More...
Public Member Functions | |
NXOpen::Section * | AddedGeometry () |
Returns the added geometry selection Created in NX8.0.0. | |
NXOpen::ScCollector * | FaceCollector () |
Returns the bend faces Created in NX5.0.0. | |
bool | HideOriginalCurves () |
Returns the option to keep or hide input curves Created in NX8.0.0. | |
NXOpen::NXObject * | ReferenceEntity () |
Returns the non-thickness planar face or linear edge to remain fixed while part is unbent Created in NX5.0.0. | |
void | SetAddedGeometry (NXOpen::Section *addedGeometry) |
Sets the added geometry selection Created in NX8.0.0. | |
void | SetFaceCollector (NXOpen::ScCollector *faceCollector) |
Sets the bend faces Created in NX5.0.0. | |
void | SetHideOriginalCurves (bool hideOriginalCurves) |
Sets the option to keep or hide input curves Created in NX8.0.0. | |
void | SetReferenceEntity (NXOpen::NXObject *referenceEntity) |
Sets the non-thickness planar face or linear edge to remain fixed while part is unbent Created in NX5.0.0. | |
int | ValidateBuilderData () |
Verify whether the builder data is valid for creating Unbend or not. | |
![]() | |
NXOpen::Features::SheetMetal::ApplicationContext | GetApplicationContext () |
Get the application context. | |
void | SetApplicationContext (NXOpen::Features::SheetMetal::ApplicationContext appContext) |
Set the application context. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
The Unbend feature class.
To create a new instance of this class, use Features::SheetMetal::SheetmetalManager::CreateUnbendFeatureBuilder
Created in NX5.0.0.
NXOpen::Section* NXOpen::Features::SheetMetal::UnbendBuilder::AddedGeometry | ( | ) |
Returns the added geometry selection
Created in NX8.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::SheetMetal::UnbendBuilder::FaceCollector | ( | ) |
Returns the bend faces
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
bool NXOpen::Features::SheetMetal::UnbendBuilder::HideOriginalCurves | ( | ) |
Returns the option to keep or hide input curves
Created in NX8.0.0.
License requirements : None
NXOpen::NXObject* NXOpen::Features::SheetMetal::UnbendBuilder::ReferenceEntity | ( | ) |
Returns the non-thickness planar face or linear edge to remain fixed while part is unbent
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
void NXOpen::Features::SheetMetal::UnbendBuilder::SetAddedGeometry | ( | NXOpen::Section * | addedGeometry | ) |
Sets the added geometry selection
Created in NX8.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
addedGeometry | addedgeometry |
void NXOpen::Features::SheetMetal::UnbendBuilder::SetFaceCollector | ( | NXOpen::ScCollector * | faceCollector | ) |
Sets the bend faces
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
faceCollector | face collector |
void NXOpen::Features::SheetMetal::UnbendBuilder::SetHideOriginalCurves | ( | bool | hideOriginalCurves | ) |
Sets the option to keep or hide input curves
Created in NX8.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
hideOriginalCurves | hideoriginalcurves |
void NXOpen::Features::SheetMetal::UnbendBuilder::SetReferenceEntity | ( | NXOpen::NXObject * | referenceEntity | ) |
Sets the non-thickness planar face or linear edge to remain fixed while part is unbent
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
referenceEntity | reference entity |
int NXOpen::Features::SheetMetal::UnbendBuilder::ValidateBuilderData | ( | ) |
Verify whether the builder data is valid for creating Unbend or not.
<br> If the Builder data is valid, returned value shall be 0 <br> @return
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")